

<html>
<head>
  <title>2023年 1月 カレンダー</title>
</head>
<body>
  <style>
  table,
  td,
  tr {
    border: 1px solid gray;
  }

  td {
    padding: 0.2em;
  }

  .calendar caption {
    font-size: 1.6em;
  }

  .calendar td {
    text-align: center;
  }

  .day-hiragana {
    font-size: 0.8em;
  }

  .day-tsu {
    background-color: lightgreen;
  }

  .day-tsu-special {
    background-color: mediumseagreen;
  }

  .day-special {
    background-color: pink;
  }

  .legend {
    margin-top: 1em;
  }
</style>

  <table class="calendar">
    <caption>2023年 1月</div>
    <thead>
      <tr>
        
          <th title="Sunday">
            
  
    
      
        日
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Monday">
            
  
    
      
        月
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Tuesday">
            
  
    
      
        火
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Wednesday">
            
  
    
      
        水
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Thursday">
            
  
    
      
        木
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Friday">
            
  
    
      
        金
      
        曜
      
        日
      
    
  

          </th>
        
          <th title="Saturday">
            
  
    
      
        土
      
        曜
      
        日
      
    
  

          </th>
        
      </tr>
    </thead>
    <tbody>
      
        <tr class="week">
          
            <td class="day day-special">
              
                <div class="day-number">1日</div>
                <div class="day-hiragana">ついたち</div>
              
            </td>
          
            <td class="day day-tsu-special">
              
                <div class="day-number">2日</div>
                <div class="day-hiragana">ふつか</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">3日</div>
                <div class="day-hiragana">みっか</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">4日</div>
                <div class="day-hiragana">よっか</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">5日</div>
                <div class="day-hiragana">いつか</div>
              
            </td>
          
            <td class="day day-tsu-special">
              
                <div class="day-number">6日</div>
                <div class="day-hiragana">むいか</div>
              
            </td>
          
            <td class="day day-tsu-special">
              
                <div class="day-number">7日</div>
                <div class="day-hiragana">なのか</div>
              
            </td>
          
        </tr>
      
        <tr class="week">
          
            <td class="day day-special">
              
                <div class="day-number">8日</div>
                <div class="day-hiragana">ようか</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">9日</div>
                <div class="day-hiragana">ここのか</div>
              
            </td>
          
            <td class="day day-tsu-special">
              
                <div class="day-number">10日</div>
                <div class="day-hiragana">とうか</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">11日</div>
                <div class="day-hiragana">じゅういちにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">12日</div>
                <div class="day-hiragana">じゅうににち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">13日</div>
                <div class="day-hiragana">じゅうさんにち</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">14日</div>
                <div class="day-hiragana">じゅうよっか</div>
              
            </td>
          
        </tr>
      
        <tr class="week">
          
            <td class="day day-normal">
              
                <div class="day-number">15日</div>
                <div class="day-hiragana">じゅうごにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">16日</div>
                <div class="day-hiragana">じゅうろくにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">17日</div>
                <div class="day-hiragana">じゅうしちにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">18日</div>
                <div class="day-hiragana">じゅうはちにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">19日</div>
                <div class="day-hiragana">じゅうくにち</div>
              
            </td>
          
            <td class="day day-special">
              
                <div class="day-number">20日</div>
                <div class="day-hiragana">はつか</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">21日</div>
                <div class="day-hiragana">にじゅういちにち</div>
              
            </td>
          
        </tr>
      
        <tr class="week">
          
            <td class="day day-normal">
              
                <div class="day-number">22日</div>
                <div class="day-hiragana">にじゅうににち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">23日</div>
                <div class="day-hiragana">にじゅうさんにち</div>
              
            </td>
          
            <td class="day day-tsu">
              
                <div class="day-number">24日</div>
                <div class="day-hiragana">にじゅうよっか</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">25日</div>
                <div class="day-hiragana">にじゅうごにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">26日</div>
                <div class="day-hiragana">にじゅうろくにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">27日</div>
                <div class="day-hiragana">にじゅうしちにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">28日</div>
                <div class="day-hiragana">にじゅうはちにち</div>
              
            </td>
          
        </tr>
      
        <tr class="week">
          
            <td class="day day-normal">
              
                <div class="day-number">29日</div>
                <div class="day-hiragana">にじゅうくにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">30日</div>
                <div class="day-hiragana">さんじゅうにち</div>
              
            </td>
          
            <td class="day day-normal">
              
                <div class="day-number">31日</div>
                <div class="day-hiragana">さんじゅういちにち</div>
              
            </td>
          
            <td class="day ">
              
            </td>
          
            <td class="day ">
              
            </td>
          
            <td class="day ">
              
            </td>
          
            <td class="day ">
              
            </td>
          
        </tr>
      
    </tbody>
  </table>

  
    <table class="legend">
      <tr>
        <th>Color</th>
        <th>Description</th>
      </tr>
      <tr>
        <td class="day-normal"></td>
        <td>Standard counting （いち、に、さん）with 「にち」at the end</td>
      </tr>
      <tr>
        <td class="day-tsu"></td>
        <td>つ counting （ひとつ、ふたつ、みっつ）with 「つ」being replaced by 「か」</td>
      </tr>
      <tr>
        <td class="day-tsu-special"></td>
        <td>つ counting like above, but with a modification from the つ form</td>
      </tr>
      <tr>
        <td class="day-special"></td>
        <td>Special case, will have to be memorized separately</td>
      </tr>
    </table>
  
</body>
</html>